Bug 124093 - fdomain.o module calls mdelay() in ISR
fdomain.o module calls mdelay() in ISR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 19:05 EDT by Andy Piper
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Piper 2004-05-23 19:05:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Epiphany/1.0.8

Description of problem:
On a fresh install of FC2, when booting the following appears in the
kernel output:

SCSI subsystem initialized
PCI: Found IRQ 10 for device 0000:00:0e.0
scsi0: <fdomain> No BIOS; using scsi id 7
scsi0: <fdomain> TMC-36C70 (PCI bus) chip at 0xe800 irq 10
scsi0 : Future Domain 16-bit SCSI Driver Version 5.51
  Vendor: HP        Model: HP35470A          Rev: 8 09
  Type:   Sequential-Access                  ANSI SCSI revision: 02
  Vendor: SEAGATE   Model: ST32550N          Rev: 0019
  Type:   Direct-Access                      ANSI SCSI revision: 02
st: Version 20040318, fixed bufsize 32768, s/g segs 256
Attached scsi tape st0 at scsi0, channel 0, id 0, lun 0
st0: try direct i/o: yes (alignment 512 B), max page reachable by HBA
1048575
Badness in fdomain_select at drivers/scsi/fdomain.c:1059
Call Trace:
 [<3a9ef893>] fdomain_select+0x78/0xc3 [fdomain]
 [<3a9efa28>] do_fdomain_16x0_intr+0xd3/0x4d4 [fdomain]
 [<0210707e>] handle_IRQ_event+0x28/0x48
 [<02107311>] do_IRQ+0xf3/0x169
 =======================
 [<0227ecdb>] schedule+0x407/0x44d
 [<0211b1e6>] ksoftirqd+0x0/0x99
 [<0211b21b>] ksoftirqd+0x35/0x99
 [<02125265>] kthread+0x69/0x91
 [<021251fc>] kthread+0x0/0x91
 [<021041d9>] kernel_thread_helper+0x5/0xb
 
SCSI device sda: 4194058 512-byte hdwr sectors (2147 MB)
SCSI device sda: drive cache: write through
 sda: sda1
Attached scsi disk sda at scsi0, channel 0, id 1, lun 0

If I try to mount /dev/sda1 the kernel reports that there is no device
there. Manually loading the module a second time (modprobe fdomain)
results in the same error again, but this time the device is available.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. modprobe fdomain
2. check /var/log/messages
3. observe kernel error messages
    

Additional info:

output of lspci -vv
00:0e.0 SCSI storage controller: Future Domain Corp. TMC-18C30 [36C70]
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at e800
Comment 1 Dave Jones 2005-04-16 00:10:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.